Page MenuHomePhabricator

HTTP Error 500 when trying to publish a Newsletter issue in test.wikipedia.org
Closed, ResolvedPublic

Description

This used to work in our <s>Labs</s> Cloud instance...

  1. Become a publisher of a Newsletter at https://test.wikipedia.org/wiki/Special:Newsletters
  2. Go to the "Announce a new issue page" i.e. https://test.wikipedia.org/wiki/Special:Newsletter/3/announce
  3. Fill the fields and press "Announce"

EXPECTED

The new issue is announced.

ACTUALLY

This page isn’t working
test.wikipedia.org is currently unable to handle this request.
HTTP ERROR 500

Clicking the browser's Back button and pressing "Announce" again eventually brings another error:

If you report this error to the Wikimedia System Administrators, please include the details below.
Request from 2003:e8:ebd1:abf:221:5cff:fee6:3863 via cp3032 cp3032, Varnish XID 303640901
Error: 503, Service Unavailable at Wed, 30 Aug 2017 19:10:35 GMT

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : wmf/1.30.0-wmf.15Typo in calling $this->newsletter->getSubscribersCount()
mediawiki/extensions/Newsletter : wmf/1.30.0-wmf.16Typo in calling $this->newsletter->getSubscribersCount()
mediawiki/extensions/Newsletter : masterTypo in calling $this->newsletter->getSubscribersCount()

Event Timeline

Qgil created this task.Aug 30 2017, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2017, 7:18 PM
Qgil added a comment.Aug 30 2017, 8:18 PM

I just realized that the logs _believe_ that the announcements have been made. However, they haven't been distributed.

https://test.wikipedia.org/wiki/Newsletter:The_Technical_Collaboration_Observer

[DBQuery] my_wiki ROLLBACK /* MWExceptionHandler::rollbackMasterChangesAndLog */
[exception] [3cc99aa78a37d851d8c41bdb] /core/index.php/Special:Newsletter/1/announce Error from line 331 of /var/www/html/core/extensions/Newsletter/includes/specials/SpecialNewsletter.php: Call to undefined method Newsletter::getSubscriberCount()
[DBQuery] my_wiki BEGIN /* Wikimedia\Rdbms\Database::query (LCStoreDB::get) */

Related to https://phabricator.wikimedia.org/T174604

Change 374888 had a related patch set uploaded (by 01tonythomas; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@master] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374888

Change 374906 had a related patch set uploaded (by Chad; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.16] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374906

Change 374907 had a related patch set uploaded (by Chad; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.15] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374907

Change 374888 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374888

Change 374906 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.16] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374906

Change 374907 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@wmf/1.30.0-wmf.15] Typo in calling $this->newsletter->getSubscribersCount()

https://gerrit.wikimedia.org/r/374907

demon closed this task as Resolved.Aug 30 2017, 11:11 PM
demon claimed this task.
Qgil awarded a token.Aug 31 2017, 9:11 AM
Qgil added a comment.Aug 31 2017, 9:17 AM

Confirmed, it works now. Thank you very much!